Loading...
Searching...
No Matches
mongocxx::v_noabi::pool::entry Class Reference

`#include <mongocxx/v_noabi/mongocxx/pool.hpp>`

## Description

An owning handle to a client obtained from a pool.

Returns the client back to its original pool on destruction.

Note
  The lifetime of any entry object must be a subset of the pool object from which it was acquired.

## Public Member Functions

| operator bool () const noexcept
| Return true if this entry has a client acquired from the pool.
v_noabi::client & | operator* () const &noexcept
| Retrieve a reference to the client.
v_noabi::client * | operator-> () const &noexcept
| Access a member of the client instance.
entry & | operator= (std::nullptr_t) noexcept
| Assign nullptr to this entry to release its client to the pool.

## Member Function Documentation

## operator bool()

mongocxx::v_noabi::pool::entry::operator bool | ( |  | ) | const

inline explicit noexcept

Return true if this entry has a client acquired from the pool.

## operator*()

v_noabi::client & mongocxx::v_noabi::pool::entry::operator* | ( |  | ) | const &

inline noexcept

Retrieve a reference to the client.

## operator->()

v_noabi::client * mongocxx::v_noabi::pool::entry::operator-> | ( |  | ) | const &

inline noexcept

Access a member of the client instance.

## operator=()

entry & mongocxx::v_noabi::pool::entry::operator= | ( | std::nullptr_t |  | ) |

inline noexcept

Assign nullptr to this entry to release its client to the pool.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/pool.hpp